Bug 1408963 - Network I/O Metrics empty in RHEV
Summary: Network I/O Metrics empty in RHEV
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.3
Assignee: Alona Kaplan
QA Contact: Tasos Papaioannou
URL:
Whiteboard: rhevm:C&U
Keywords: TestOnly, ZStream
Depends On: 1459908 1502510
Blocks: 1430088
TreeView+ depends on / blocked
 
Reported: 2016-12-28 14:07 UTC by Ilanit Stein
Modified: 2017-12-14 15:18 UTC (History)
10 users (show)

(edit)
Clone Of:
: 1430088 (view as bug list)
(edit)
Last Closed: 2017-12-14 15:18:16 UTC
istein: needinfo-


Attachments (Terms of Use)
RHV-4.0.5_rhel72_graphs.png (1.34 MB, image/png)
2016-12-28 14:07 UTC, Ilanit Stein
no flags Details
RHV-3.6.8_rhel72_graphs.png (1.32 MB, image/png)
2016-12-28 14:08 UTC, Ilanit Stein
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1404391 None None None Never

Internal Trackers: 1404391

Description Ilanit Stein 2016-12-28 14:07:03 UTC
Created attachment 1235657 [details]
RHV-4.0.5_rhel72_graphs.png

Description of problem:
After adding successfully RHV as a provider in CloudForms, no information is shown for Network I/O.  

We tried with Interval for 1 day and for 1 hour and the line remains flat.

Version-Release number of selected component (if applicable):
CFME-5.7.0.17
RHV-4.0.5 Or RHV-3.6.8

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Ilanit Stein 2016-12-28 14:08 UTC
Created attachment 1235658 [details]
RHV-3.6.8_rhel72_graphs.png

Comment 4 CFME Bot 2017-01-03 15:10:14 UTC
New commit detected on ManageIQ/ovirt_metrics/master:
https://github.com/ManageIQ/ovirt_metrics/commit/ab38723bbacefdea76c7e44321c4d7be00bcefdb

commit ab38723bbacefdea76c7e44321c4d7be00bcefdb
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Sun Dec 25 13:23:38 2016 +0200
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Thu Dec 29 07:42:49 2016 +0200

    Fix getting nic_ids for VMs
    
    Get the nic_ids for a VM based on the vm_device_history table.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1408963

 lib/ovirt_metrics.rb                          |  6 +++++-
 lib/ovirt_metrics/models/vm_device_history.rb |  1 +
 spec/ovirt_metrics_spec.rb                    | 30 +++++++++++++++++++++++++++
 3 files changed, 36 insertions(+), 1 deletion(-)

Comment 5 Satoe Imaishi 2017-02-06 15:22:28 UTC
Moving back to ON_DEV.  Please move to POST once the new version of the gem becomes available.

Comment 7 Tasos Papaioannou 2017-05-04 15:39:28 UTC
Failed on 5.8.0.13-rc2.

I generated some network activity on a RHEV 3.6 vm (downloading a ~5MB file w/ wget every 30 seconds for an hour).  The vm's C&U data page still shows all 0's in the Network I/O graph, no matter whether I select for the past hour or hourly.

The metrics db shows no non-zero net_usage_rate_average entries for any vm's:

vmdb_production=# select id, timestamp, resource_name, net_usage_rate_average from metrics where net_usage_rate_average > 0 and resource_type='VmOrTemplate' order by resource_name, timestamp;
 id | timestamp | resource_name | net_usage_rate_average 
----+-----------+---------------+------------------------
(0 rows)

vmdb_production=# select id, timestamp, created_on, resource_name, net_usage_rate_average from metric_rollups where resource_name='cu-24x7' order by resource_name, timestamp desc limit 5;
  id  |      timestamp      |         created_on         | resource_name | net_usage_rate_average 
------+---------------------+----------------------------+---------------+------------------------
 1934 | 2017-05-04 15:00:00 | 2017-05-04 15:03:12.286178 | cu-24x7       |                       
 1878 | 2017-05-04 14:00:00 | 2017-05-04 14:03:08.099344 | cu-24x7       |                      0
 1832 | 2017-05-04 13:00:00 | 2017-05-04 13:03:07.166825 | cu-24x7       |                      0
 1776 | 2017-05-04 12:00:00 | 2017-05-04 12:02:58.616683 | cu-24x7       |                      0
 1709 | 2017-05-04 11:00:00 | 2017-05-04 11:02:49.95985  | cu-24x7       |                      0
(5 rows)

(The network activity would have been in the 14:00:00 rollup entry.)

Comment 18 Dave Johnson 2017-07-14 03:46:45 UTC
Please assess the importance of this issue and update the priority accordingly.  Somewhere it was missed in the bug triage process.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#priority for a reminder on each priority's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.

Comment 19 Moran Goldboim 2017-07-17 07:59:33 UTC
dependent bug isn't going to make it target milestone.

Comment 20 Dan Kenigsberg 2017-11-01 09:30:34 UTC
Code is merged in ovirt-engine, please test.

Comment 27 Tasos Papaioannou 2017-11-02 15:01:47 UTC
With ovirt-engine-4.1.5.2-0.1.el7 and ovirt-engine-dwh-4.1.1-1.el7ev installed on the RHV 4 manager, VM network i/o metrics are now captured in CFME. Verified on both 5.8.0.9-alpha2 and 5.8.2.3.


Note You need to log in before you can comment on or make changes to this bug.